#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-JytyfPtRXjzE8uTsBKsXUD
key:                  lsp-1.6.0.0-JytyfPtRXjzE8uTsBKsXUD
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  b91d03d06e6154bc83cd4028a41c9e68
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-3KtFoSZVmDe9bnTJ24v4Xf:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-3KtFoSZVmDe9bnTJ24v4Xf:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-3KtFoSZVmDe9bnTJ24v4Xf:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-JytyfPtRXjzE8uTsBKsXUD
depends:
    aeson-2.1.2.1-Ex7WnNUT1auEGSF1Md5zyM
    async-2.2.5-KSZIoACaSMlHctQ7vOTAKz
    attoparsec-0.14.4-4lxImiie977LVZ07Q4RuOa base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.4-Dby9g7CmDiZ8wgTq02JnDk
    containers-0.6.7 data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    hashable-1.4.4.0-G3df7eBPFu1LRujEcYqf5c
    lens-5.2.3-3fSsMRucgnZ99PomxyWs7a
    lsp-types-1.6.0.1-3KtFoSZVmDe9bnTJ24v4Xf mtl-2.2.2
    prettyprinter-1.7.1-5dDyiINWv3JvkTPn41dcY
    random-1.2.1.2-23MFWqKwy7yBKL8EDiRtc8
    sorted-list-0.2.3.1-76wcihfPSoCdIRrEWVtiI stm-2.5.1.0
    temporary-1.3-G7P6lNH75E76cAGC2vHtSc text-2.0.2
    text-rope-0.3-K9CQYu0sFOY5qYZy2i1wv5 transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-EFINKuAnn2VCsrMAVqSNI6
    uuid-1.3.16-JQKxPD09NZS1Lrau8xh5dp

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

